"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_notice_bar2 = common_vendor.resolveComponent("uni-notice-bar");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_uni_notice_bar2 + _easycom_uni_icons2)();
}
const _easycom_uni_notice_bar = () => "../../uni_modules/uni-notice-bar/components/uni-notice-bar/uni-notice-bar.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_uni_notice_bar + _easycom_uni_icons + common_vendor.unref(recommend))();
}
const recommend = () => "../recommend/recommend.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.ref(0);
    const meishi = [
      { type: 1, url: "/pages/food/food", title: "第一餐厅", imgUrl: "../../static/Gourmet/meishi_hanbao.png" },
      { type: 2, url: "/pages/drinks/drinks", title: "第二餐厅", imgUrl: "../../static/Gourmet/meishi.png" },
      { type: 3, url: "/pages/fruits/fruits", title: "第三餐厅", imgUrl: "../../static/Gourmet/meishi_caomei.png" },
      { type: 9, url: "/pages/points/points", title: "第四餐厅", imgUrl: "../../static/Gourmet/meishi_tusi.png" },
      { type: 10, url: "/pages/more/more", title: "第五餐厅", imgUrl: "../../static/Gourmet/meishi-bangbangtang.png" }
    ];
    const trueCity = common_vendor.ref(null);
    const chooseCity = () => {
      my.chooseCity({
        showLocatedCity: true,
        showHotCities: true,
        success: (res) => {
          my.alert({
            content: `您选择的城市: ${res.city} 纬度：${res.latitude} 经度：${res.longitude} 行政区划代码：${res.adCode}`
          });
          trueCity.value = res.city;
          console.log(trueCity);
        }
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          ["show-icon"]: true,
          scrollable: true,
          text: "“粒粒皆辛苦，盘盘见真情；珍惜粮食，从我做起，让节约成为最美的餐桌风景。”"
        }),
        b: common_vendor.t(trueCity.value),
        c: common_vendor.p({
          type: "location",
          size: "25"
        }),
        d: common_vendor.o(chooseCity),
        e: common_vendor.p({
          type: "chat-filled",
          size: "30"
        }),
        f: common_vendor.f(meishi, (item, index, i0) => {
          return {
            a: item.imgUrl,
            b: common_vendor.t(item.title),
            c: item.url,
            d: index
          };
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/111111000000/uniapp04/pages/index/index.vue"]]);
my.createPage(MiniProgramPage);
